Bug 44361 - genericups doesn't open device O_NONBLOCK
genericups doesn't open device O_NONBLOCK
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: nut (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-12 21:02 EDT by j. alan eldridge
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-12 21:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
open() non-blocking in open_serial_simple() (374 bytes, patch)
2001-06-12 21:03 EDT, j. alan eldridge
no flags Details | Diff

  None (edit)
Description j. alan eldridge 2001-06-12 21:02:18 EDT
Description of Problem:

The genericups driver app is for "Stupid" UPSs that use "simple 
signalling". They don't transmit data, they just raise/lower control 
signals.

Opening the file (e.g., ttyS1) in blocking mode will block (and fail with 
a timeout) because the right signals aren't present.

The attached patch is against 0.45.0 but should work for 0.44.x as well.
Comment 1 j. alan eldridge 2001-06-12 21:03:09 EDT
Created attachment 20925 [details]
open() non-blocking in open_serial_simple()
Comment 2 Ngo Than 2001-06-13 04:52:53 EDT
The new nut-0.45-1 in rawhide has this patch. Thanks

Note You need to log in before you can comment on or make changes to this bug.